Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluation_datasets.test_cases.list(
evaluation_dataset_id="evaluation_dataset_id",
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.EvaluationDatasets.TestCases.List(
context.TODO(),
"evaluation_dataset_id",
sgp.EvaluationDatasetTestCaseListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/test-casesconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluation-datasets/{evaluation_dataset_id}/test-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"evaluation_dataset_id": "<string>",
"test_case_data": {
"input": "<string>",
"artifact_ids_filter": [
"<string>"
],
"expected_output": "<string>",
"expected_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"autogenerated": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"schema_type": "GENERATION",
"chat_history": {},
"test_case_metadata": {},
"invalidated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluation Datasets
List Test Cases
Description
List all test cases for a selected dataset.
GET
/
v4
/
evaluation-datasets
/
{evaluation_dataset_id}
/
test-cases
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluation_datasets.test_cases.list(
evaluation_dataset_id="evaluation_dataset_id",
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.EvaluationDatasets.TestCases.List(
context.TODO(),
"evaluation_dataset_id",
sgp.EvaluationDatasetTestCaseListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Path Parameters
Query Parameters
Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
items
(GenerationTestCaseVersionResponse · object | FlexibleTestCaseVersionResponse · object)[]
required
The data returned for the current page.
- GenerationTestCaseVersionResponse
- FlexibleTestCaseVersionResponse
Show child attributes
Show child attributes
The total number of items of the query
The current page number.
The number of items per page.
⌘I

